

input_file="forms.json"
output_file="forms_report.pdf"
error_file="forms_error.json"

response=$(curl --request POST --data-binary @"$input_file" http://localhost:8886/pdf_fill_form --output "$output_file" --write-out "%{http_code}")

if [ "$response" -ne 200 ]; then
  echo "Error while executing the request. Response code: $response"
  mv "$output_file" "$error_file"
else
  echo "The request was executed successfully. Response code: $response"
fi